Phancybox Latest Chrome version 44 breaking some sites

Latest Chrome version 44 breaking some sites

While the latest Chrome version 44 (44.0.2403.89) has corrected a number of bugs, it has also introduced a new bug preventing many websites from loading. This change in code was introduced to try and encourage the use of secure connections, but has unfortunately not worked out quite as expected.

How to tell if this is the issue you’re experiencing?

  • You can access the same website from another browser
  • You can access the same website from a version of Chrome older than 44
  • You have a lingering “Establishing secure connection…” message
  • Your page is loading but looks rather ugly (the CSS cannot be found and therefore not rendered)

How to fix the Google Chrome bug before Google?

Google are well aware of the issue and are investigating an emergency release, prior to the next scheduled release on 27 July 2015. In the interim, to keep website traffic levels where they should be, WordPress users can implement a free plugin. The plugin sets: $_SERVER[‘HTTPS’] = false; This ensures that the connection is always handled as HTTP, not HTTPS. If you do however use SSL on certain pages, this plugin may not be suitable.

If you need a hand with the WordPress workaround, please get in touch, else here’s hoping for a speedy work around from Google. Firefox or Internet Explorer until the next anticipated update…

Tip: If you found this useful, you can get our latest ideas delivered direct to your inbox, for free, right here.